Bug 50428 - [Qt] Support focus ring outline color for links.
Summary: [Qt] Support focus ring outline color for links.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-02 17:52 PST by Yael
Modified: 2010-12-06 06:52 PST (History)
0 users

See Also:


Attachments
Patch. (148.92 KB, patch)
2010-12-03 15:07 PST, Yael
kling: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yael 2010-12-02 17:52:33 PST
https://bugs.webkit.org/show_bug.cgi?id=50325 add support for outline color for focus rings in image maps.
We should add the same for links.
Comment 1 Yael 2010-12-03 15:07:39 PST
Created attachment 75550 [details]
Patch.

Take width and offset when drawing the focus ring.
Patch is huge due to the images from the new tests :-)
Comment 2 Andreas Kling 2010-12-06 06:14:44 PST
Comment on attachment 75550 [details]
Patch.

Fantabulous, r=me!
Comment 3 Antonio Gomes 2010-12-06 06:18:53 PST
Comment on attachment 75550 [details]
Patch.

Maybe you should skip the tests for non-qt/mac ports?
Comment 4 Yael 2010-12-06 06:22:04 PST
(In reply to comment #3)
> (From update of attachment 75550 [details])
> Maybe you should skip the tests for non-qt/mac ports?

I was told by Dave Levin that they prefer the tests to show as new, and then they can decide if to skip or add results :)
Comment 5 Yael 2010-12-06 06:52:08 PST
Committed r73362: <http://trac.webkit.org/changeset/73362>